SAMSABI(4)

NAME
samsabi - Samsung laptop keyboard backlight

SYNOPSIS
samsabi* at iic?

DESCRIPTION
The samsabi driver provides support for the Samsung Advanced BIOS Interface (SABI), a vendor command interface of the embedded controller found in Samsung laptops based on the Qualcomm Snapdragon X1E80100, such as the Galaxy Book4 Edge. The controller, identified as “SAM060B” in ACPI, is an ENE KB9058 micro controller running Samsung firmware. It exposes the SABI command protocol on the I2C bus at a separate address from the “Mbox” channel used by sambat(4) for battery status.

The samsabi driver currently uses this interface to control the keyboard backlight. The backlight level can be retrieved and modified with the wsconsctl(8) variable keyboard.backlight.

SEE ALSO
iic(4), intro(4), sambat(4), wskbd(4), wsconsctl(8)

HISTORY
The samsabi driver first appeared in OpenBSD 8.0.

AUTHORS
-nosplit The samsabi driver was written by Marcus Glocker <mglocker@openbsd.org>.

BUGS
The embedded controller does not hold intermediate keyboard backlight levels: it fades the backlight off shortly after a level is set, and only full brightness can be refreshed often enough to be kept lit. As a result the driver treats any non-zero brightness request as full brightness.